## org.eclipse.amp.amf.sd.util
Class SrcGenGetter

    java.lang.Object
      org.eclipse.amp.amf.sd.util.PropertyGetter
          org.eclipse.amp.amf.sd.util.SrcGenGetter

    public class SrcGenGetter

extends PropertyGetter

Constructor Summary
`SrcGenGetter()`

Method Summary
`static java.lang.String` `getSrcGen(IAgentChild agentChild)`

Methods inherited from class org.eclipse.amp.amf.sd.util.PropertyGetter
`getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SrcGenGetter

    public SrcGenGetter()

Method Detail

### getSrcGen

    public static final java.lang.String getSrcGen(IAgentChild agentChild)